From: Dave Chinner <david@fromorbit.com>
To: Eric Sandeen <sandeen@sandeen.net>
Cc: fstests@vger.kernel.org
Subject: Re: [PATCH 3/4] xfs/045: can't change UUID on v5 filesystems.
Date: Tue, 5 May 2015 10:51:12 +1000 [thread overview]
Message-ID: <20150505005112.GK15810@dastard> (raw)
In-Reply-To: <5547F73F.2030303@sandeen.net>
On Mon, May 04, 2015 at 05:48:31PM -0500, Eric Sandeen wrote:
> On 5/4/15 5:01 PM, Dave Chinner wrote:
> > From: Dave Chinner <dchinner@redhat.com>
> >
> > So pass "-m crc=0" to the scratch_mkfs command so that we only run
> > on old v4 format filesystems where the UUID can be changed.
> >
> > Signed-off-by: Dave Chinner <dchinner@redhat.com>
>
> hm, given that I might "fix" this should we instead trap
> on an xfs_db uuid failure, and _notrun the test?
> (oh, but older xfs_db let it go, didn't it. sigh).
>
> I guess nothing about the presence of crc vs. non-crc
> matters for this test, so turning it off by default is probably ok.
> It could use a comment about why it's got "-m crc=0" though, at
> least.
Added. New patch below.
--
Dave Chinner
david@fromorbit.com
xfs/045: can't change UUID on v5 filesystems.
From: Dave Chinner <dchinner@redhat.com>
So pass "-m crc=0" to the scratch_mkfs command so that we only run
on old v4 format filesystems where the UUID can be changed.
Signed-off-by: Dave Chinner <dchinner@redhat.com>
---
V2: added comment explaining "-m crc=0".
tests/xfs/045 | 5 ++++-
1 file changed, 4 insertions(+), 1 deletion(-)
diff --git a/tests/xfs/045 b/tests/xfs/045
index 7d8a4a1..2733f5c 100755
--- a/tests/xfs/045
+++ b/tests/xfs/045
@@ -49,8 +49,11 @@ _require_scratch_nocheck
echo "*** get uuid"
uuid=`_get_existing_uuid`
+
+# We can only change the UUID on a v4 filesystem. Revist this when/if UUIDs
+# can be changed on v5 filesystems.
echo "*** mkfs"
-if ! _scratch_mkfs_xfs >$tmp.out 2>&1
+if ! _scratch_mkfs_xfs -m crc=0 >$tmp.out 2>&1
then
cat $tmp.out
echo "!!! failed to mkfs on $SCRATCH_DEV"
next prev parent reply other threads:[~2015-05-05 0:51 UTC|newest]
Thread overview: 15+ messages / expand[flat|nested] mbox.gz Atom feed top
2015-05-04 22:01 [PATCH 0/4] fstests: xfs utility output has changed Dave Chinner
2015-05-04 22:01 ` [PATCH 1/4] filter: latest mkfs.xfs makes logical sector size noise Dave Chinner
2015-05-04 22:45 ` Eric Sandeen
2015-05-04 22:01 ` [PATCH 2/4] filter: latest xfs_repair is more verbose Dave Chinner
2015-05-04 22:46 ` Eric Sandeen
2015-05-04 22:01 ` [PATCH 3/4] xfs/045: can't change UUID on v5 filesystems Dave Chinner
2015-05-04 22:48 ` Eric Sandeen
2015-05-05 0:51 ` Dave Chinner [this message]
2015-05-05 2:04 ` Eric Sandeen
2015-05-04 22:01 ` [PATCH 4/4] filter: inode size output of mkfs.xfs can change Dave Chinner
2015-05-05 2:06 ` Eric Sandeen
2015-05-05 5:34 ` Dave Chinner
2015-05-06 7:19 ` Eryu Guan
2015-05-06 22:56 ` Dave Chinner
2015-05-07 3:05 ` Eryu Guan
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=20150505005112.GK15810@dastard \
--to=david@fromorbit.com \
--cc=fstests@vger.kernel.org \
--cc=sandeen@sandeen.net \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox